Package org.eclipse.emf.cdo.view

# Class CDOLockStatePrefetcher

java.lang.Object
org.eclipse.emf.cdo.view.CDOLockStatePrefetcher

public class CDOLockStatePrefetcher extends Object
Prefetches `lock states` for a given `view` when `revisions` are loaded.

Since:
  4.12
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Predicate<CDOID>`
`DEFAULT_OBJECT_FILTER`

## Constructor Summary

Constructors
Constructor
Description
`CDOLockStatePrefetcher(CDOView view)`
`CDOLockStatePrefetcher(CDOView view, boolean asyncUpdate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected final CDOLockState`
`getLockState(CDOObject object)`
`protected final Object`
`getLockTarget(CDOObject object)`
`final Predicate<CDOID>`
`getObjectFilter()`
`final InternalCDOView`
`getView()`
`final boolean`
`isAsyncUpdate()`
`final boolean`
`isUpdateOtherViews()`
`final void`
`setObjectFilter(Predicate<CDOID> objectFilter)`
`final void`
`setUpdateOtherViews(boolean updateOtherViews)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_OBJECT_FILTER

public static final Predicate<CDOID> DEFAULT_OBJECT_FILTER

## Constructor Details

### CDOLockStatePrefetcher

public CDOLockStatePrefetcher(CDOView view, boolean asyncUpdate)

### CDOLockStatePrefetcher

public CDOLockStatePrefetcher(CDOView view)

## Method Details

### isUpdateOtherViews

public final boolean isUpdateOtherViews()

### setUpdateOtherViews

public final void setUpdateOtherViews(boolean updateOtherViews)

### getObjectFilter

public final Predicate<CDOID> getObjectFilter()

### setObjectFilter

public final void setObjectFilter(Predicate<CDOID> objectFilter)

### getView

public final InternalCDOView getView()

### isAsyncUpdate

public final boolean isAsyncUpdate()

### dispose

public void dispose()

### getLockTarget

protected final Object getLockTarget(CDOObject object)

### getLockState

protected final CDOLockState getLockState(CDOObject object)